part of '../adapter/adapter.dart';

@immutable
class MultipartFile {
  final String field;
  final String? filename;
  final MediaType contentType;
  final XHttpContent content;

  const MultipartFile({
    required this.field,
    required this.filename,
    required this.contentType,
    required this.content,
  });

  @override
  bool operator ==(Object other) =>
      other is MultipartFile &&
      other.field == field &&
      other.filename == filename &&
      other.contentType.mimeType == contentType.mimeType &&
      other.content == content;

  @override
  int get hashCode => hashValues(field, filename, contentType.mimeType, content);
}
