import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutterx_http/flutterx_http.dart';
import 'package:flutterx_http/src/adapter/adapter.dart';

class AuthorizationInterceptor implements XHttpInterceptor {
  final ValueGetter<String?> authorization;

  const AuthorizationInterceptor(this.authorization);

  @override
  Future<XHttpResponse> intercept(XHttpRequest request, XHttpRequestOptions options, InterceptorChain next) {
    final auth = authorization();
    if (auth != null) request = request.copy(headers: {...request.headers, HttpHeaders.authorizationHeader: auth});
    return next(request, options);
  }
}
